# Class FloatingArrayCoord.ArrayDomain

java.lang.Object
uk.ac.starlink.ttools.plot2.data.FloatingArrayCoord.ArrayDomain

All Implemented Interfaces:
  `uk.ac.starlink.table.Domain<uk.ac.starlink.ttools.plot2.data.FloatingArrayCoord.ArrayMapper>`

Enclosing class:
  `FloatingArrayCoord`

public static class FloatingArrayCoord.ArrayDomain extends Object implements uk.ac.starlink.table.Domain<uk.ac.starlink.ttools.plot2.data.FloatingArrayCoord.ArrayMapper>
Domain for numeric array values.

Since:
  15 Jul 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ArrayDomain()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDomainName()`
`uk.ac.starlink.ttools.plot2.data.FloatingArrayCoord.ArrayMapper[]`
`getMappers()`
`uk.ac.starlink.ttools.plot2.data.FloatingArrayCoord.ArrayMapper`
`getPossibleMapper(uk.ac.starlink.table.ValueInfo info)`
`uk.ac.starlink.ttools.plot2.data.FloatingArrayCoord.ArrayMapper`
`getProbableMapper(uk.ac.starlink.table.ValueInfo info)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ArrayDomain

public ArrayDomain()

## Method Details

### getDomainName

public String getDomainName()

Specified by:
  `getDomainName` in interface `uk.ac.starlink.table.Domain<uk.ac.starlink.ttools.plot2.data.FloatingArrayCoord.ArrayMapper>`

### getMappers

public uk.ac.starlink.ttools.plot2.data.FloatingArrayCoord.ArrayMapper[] getMappers()

Specified by:
  `getMappers` in interface `uk.ac.starlink.table.Domain<uk.ac.starlink.ttools.plot2.data.FloatingArrayCoord.ArrayMapper>`

### getProbableMapper

public uk.ac.starlink.ttools.plot2.data.FloatingArrayCoord.ArrayMapper getProbableMapper(uk.ac.starlink.table.ValueInfo info)

Specified by:
  `getProbableMapper` in interface `uk.ac.starlink.table.Domain<uk.ac.starlink.ttools.plot2.data.FloatingArrayCoord.ArrayMapper>`

### getPossibleMapper

public uk.ac.starlink.ttools.plot2.data.FloatingArrayCoord.ArrayMapper getPossibleMapper(uk.ac.starlink.table.ValueInfo info)

Specified by:
  `getPossibleMapper` in interface `uk.ac.starlink.table.Domain<uk.ac.starlink.ttools.plot2.data.FloatingArrayCoord.ArrayMapper>`